# 使用 Azure Data Studio 管理数据库

Azure Data Studio 是一个轻量级的跨平台数据库工具，提供了一个现代化的用户界面，可以帮助用户更轻松地管理数据库。

## 全部代码开源

Azure Data Studio 是一个开源项目，全部代码都托管在 GitHub 上，用户可以自由查看源代码，也可以参与到项目中来。

https://github.com/Microsoft/azuredatastudio

## 可管理的数据库

Azure Data Studio 支持多种数据库，包括 SQL Server、PostgreSQL、MySQL 、TimescaleDB、Oracle 等，通过安装相应的扩展，可以支持更多的数据库。

## 带有智能感知的查询编辑器

丰富的 SQL 编辑器、IntelliSense、关键字完成、代码片段、代码导航和源代码管理集成 (Git)）提供一种基于键盘的新式 SQL 编码体验。

## 智能 SQL 代码片段

Azure Data Studio 提供了大量的 SQL 代码片段，可以帮助用户快速编写 SQL 代码。

## 使用服务器组

借助服务器组，可以分类管理服务器，方便用户更轻松地管理多个服务器。

## 使用集成终端

用户界面中的“集成终端”窗口中使用常用的命令行工具，例如：sqlcmd 命令。

## 使用表设计器

Azure Data Studio 提供了一个表设计器，可以帮助用户更轻松地设计表。

## 备份和还原数据库

Azure Data Studio 提供了备份和还原数据库的功能，可以帮助用户更轻松地备份和还原数据库。

## 使用 Copilot 插件

Copilot 插件可以借助强大的 AI 帮助用户更轻松地编写 SQL 代码，提高编码效率。

## 可使用 Git 管理 SQL 脚本

Azure Data Studio 集成了 Git，可以帮助用户更轻松地管理 SQL 脚本。

## 查询计划查看

支持捕获估计的和实际的查询计划。 查询计划提供 SQL Server 查询优化器所选的数据检索（或修改）方法的图形显示形式。

## 扩展能力

可在线安装扩展，或者使用 VSIX 文件手动安装扩展，扩展可以提供更多的功能。

## 一些好用的扩展

- SQL Server Import (mssql)  - 导入数据
- SQL Server Profiler(mssql) - 分析 SQL Server 数据库性能
- SQL Server Agent(mssql) - 管理 SQL Server 代理

## 与 SQL Server Management Studio 相比

Azure Data Studio 是一个轻量级的跨平台数据库工具，相比 SQL Server Management Studio，Azure Data Studio 更加轻量，更加适合在 Mac 和 Linux 等平台上使用，而且支持多种数据库，可以帮助用户更轻松地管理数据库，通过插件按需扩展功能，更加灵活。
