# 订单微服务架构概述

订单部分使用了很多技术点，这包括 CQRS 模式、MediatR 本地命令分发、本地事件处理、分布式事件的抽象和实现、发件箱模式、分布式锁等技术。


## 订单服务架构图

![系统基本架构](https://oss.xcode.me/notes/helloshop/ordering-architecture.svg)

## 微服务通信

![微服务通信](https://oss.xcode.me/notes/helloshop/ordering-sequence.svg)

## 客户端部分

客户端部分主要包括了订单的创建、支付、取消、查询等功能。客户端通过 API Gateway 调用订单微服务，订单微服务通过 MediatR 处理命令，然后通过事件总线发布事件，事件总线将事件分发到事件处理器，事件处理器处理事件，然后将事件持久化到数据库。

## 订单 WebApi 部分

使用 WebApi 作为订单微服务的入口，接收客户端的请求，然后通过 MediatR 处理命令，然后通过事件总线发布事件。

## Queries 部分

使用从库来处理查询，从库是一个独立的数据库，用于处理查询，从库的数据是通过流式复制从主库同步过来的，从库的数据是只读的，从库的数据是最终一致的。

## Commands 部分

使用命令模式处理订单的创建、支付、取消等命令，命令模式是一个行为设计模式，命令数据最终会被持久化到主数据库。

## 本地事件

本地事件是指在微服务内部的事件，本地事件是通过 MediatR 发布的，只能在当前微服务内部使用。

## 分布式事件

分布式事件是指在微服务之间的事件，分布式事件是通过事件总线发布的，可以在多个微服务之间使用，事件的发布和处理是异步的，使用 Dapr 的 Pub/Sub 组件实现事件的发布和订阅，可使用很多种消息队列来实现。

## 使用分布式锁

使用分布式锁来处理并发问题，分布式锁是通过 Dapr 组件实现的，分布式锁是一个分布式系统中的同步工具，用于解决并发问题，目前 Dapr 的分布式锁是基于 Redis 实现的。
